package com.softmedia.receiver.app;

import com.softmedia.receiver.app.AirReceiverAPICallback;

interface AirReceiverAPI {
	void setOpenDialFriendlyName(String name);
	String getOpenDialFriendlyName();
	void setOpenDialEnable(boolean isEnable);
	boolean isOpenDialEnable();

	void setCastFriendlyName(String name);
	String getCastFriendlyName();
	void setCastEnable(boolean isEnable);
	boolean isCastEnable();

	void setRendererFriendlyName(String name);
	String getRendererFriendlyName();
	void setRendererEnable(boolean isEnable);
	boolean isRendererEnable();

	void setAirPlayDeviceName(String name);
	String getAirPlayDeviceName();
	void setAirPlayEnable(boolean isEnable);
	boolean isAirPlayEnable();
	void setAirPlayPassword(String password);
	String getAirPlayPassword();
	boolean isAirplayBlockNewConnection();
	void setAirplayBlockNewConnection(boolean enable);
	boolean isAirPlayConnected();
	boolean isUsingSystemMediaPlayer();
	
	void setPlaybackPlayerSetting(int playerSetting);
	int  getPlaybackPlayerSetting();
	
	void setAirMirrorResolution(int resolution);
	int  getAirMirrorResolution();
	void setAirMirrorOrientation(int orientation);
	int  getAirMirrorOrientation();
	
	void setAirMirrorRecordEnable(boolean isEnable);
	boolean isAirMirrorRecordEnable();
	void setAirMirrorRecordAudioEnable(boolean isEnable);
	boolean isAirMirrorRecordAudioEnable();	
	void setAirMirrorRecordPath(String path);
	String getAirMirrorRecordPath();

	void setAirTunesAudioLatency(int latency);
	int  getAirTunesAudioLatency();
	void setHideAirTunesUI(boolean isEnable);
	boolean isHideAirTunesUI();
	
	void setUseMediaCodec(boolean isEnable);
	boolean isUseMediaCodec();	
	
	void setHideNotification(boolean isEnable);
	boolean isHideNotification();

	void setCallback(AirReceiverAPICallback callback);
	void setCastSessionSurface(long h, in Surface s);
	void closeCastSession(long h);
}